Skip to main content

Update a command restriction

PUT 

/api/v1/CommandRestriction

Updates an existing command restriction, identified by the id in the request body, and returns the saved result. The settings in the request replace the existing settings.

Permission required: Administrator who has completed multi-factor authentication.

Values for commandRestrictionSettings[].commandRestrictionMatchType: 0 = Keyword.

Values for commandRestrictionSettings[].commandRestrictionActionType: 0 = LogOnly, 1 = Block, 2 = BlockAndLock, 3 = Terminate.

Caution: The change takes effect immediately.

Request​

Responses​

The command restriction was updated. The body is the saved command restriction.